using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.Groups
{
    /// <summary>
    /// 团组保险费用录入申请
    /// </summary>
    [SugarTable("Grp_Customers")]
    public class Grp_Customers:EntityBase
    {
        /// <summary>
        /// 团组外键编号
        /// </summary>
        [SugarColumn(IsNullable =true, ColumnDataType="int")]
        public int DiId{get; set;}
        /// <summary>
        /// 保险名称
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int Iid { get; set; }

        /// <summary>
        /// 客户名称
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(200)")]
        public string ClientName { get; set; }

        /// <summary>
        /// 保险费用
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(18,2)")]
        public decimal InsuranceCosts { get; set; }

        /// <summary>
        /// 币种
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int Currency { get; set; }

        /// <summary>
        /// 保险附件
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(200)")]
        public string Attachment { get; set; }
        

    }
}
